package jp.agentec.sinaburocast.common.creator;

import org.seasar.framework.container.creator.ComponentCreatorImpl;
import org.seasar.framework.container.deployer.InstanceDefFactory;
import org.seasar.framework.convention.NamingConvention;

public class CacheCreator extends ComponentCreatorImpl {

  private static final String NAME_SUFFIX_DELEGATE = "Cache";

  public CacheCreator(NamingConvention namingConvention) {
    super(namingConvention);
    setNameSuffix(NAME_SUFFIX_DELEGATE);
    setInstanceDef(InstanceDefFactory.PROTOTYPE);
    setExternalBinding(false);
    setEnableAbstract(true);
    setEnableInterface(true);
  }
}