package jp.agentec.sinaburocast.common.proc;

import java.io.BufferedReader;

/**
 * ReaderWorkerクラス<br>
 * 標準出力の読み出し処理をカスタマイズするためのクラス
 * 
 * @author tsukada
 *
 */
public abstract class ReaderWorker implements Runnable {
	protected BufferedReader bufferedReader;
	protected String commandStr;
	protected boolean finish = false;

	public ReaderWorker() {
	}

	
	public BufferedReader getBufferedReader() {
		return bufferedReader;
	}


	public void setBufferedReader(BufferedReader bufferedReader) {
		this.bufferedReader = bufferedReader;
	}


	public String getCommandStr() {
		return commandStr;
	}


	public void setCommandStr(String commandStr) {
		this.commandStr = commandStr;
	}

	/**
	 * 終了フラグを立てる
	 */
	public void finish() {
		finish = true;
	}


}
