package jp.agentec.sinaburocast.entity;

import java.util.List;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;

@Entity
@Table(name="m_admin_user")
public class AdminUser extends AbstractEntity {

	/**
	 *
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@Column(name = "admin_user_id")
	public Integer adminUserId;

	@Column(name = "login_id")
	public String loginId;
	public String password;

	@Column(name = "admin_user_name")
	public String adminUserName;
	
	@Column(name = "email")
	public String email;

	@Column(name = "del_flg")
	public Integer delFlg;

    /** MEnqueteList関連プロパティ */
    @OneToMany(mappedBy = "adminUser")
    public List<Enquete> enqueteList;

    /** TOperationHistoryList関連プロパティ */
    @OneToMany(mappedBy = "adminUser")
    public List<OperationHistory> TOperationHistoryList;
}
