package jp.agentec.sinaburocast.service;

import javax.annotation.Resource;

import junit.framework.TestSuite;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.seasar.dao.unit.S2DaoTestCase;

public class PostalcodeServiceTest extends S2DaoTestCase {

	@Resource
	private PostalcodeService postalcodeService;

	public PostalcodeServiceTest(String string) {
		super(string);
	}

	public static TestSuite suite() {
		TestSuite suite = new TestSuite("PostalcodeServiceTest");
		suite.addTest(new PostalcodeServiceTest("findById"));
		suite.addTest(new PostalcodeServiceTest("findAllOrderById"));
		suite.addTest(new PostalcodeServiceTest("findZipCodeListByName"));
		suite.addTest(new PostalcodeServiceTest("findTestListByName"));
		suite.addTest(new PostalcodeServiceTest("findAddressByZipCode"));
		suite.addTest(new PostalcodeServiceTest("postalInfoDelAllTx"));

		return suite;
	}

	public void findById(){
	    System.out.println(postalcodeService.findById(1111111));
	}
	public void findAllOrderById(){
	    System.out.println(postalcodeService.findAllOrderById());
	}
	public void findZipCodeListByName(){
	    System.out.println(postalcodeService.findZipCodeListByName("111"));
	}
	public void findTestListByName(){
	    System.out.println(postalcodeService.findTestListByName("111"));
	}
	public void findAddressByZipCode(){
	    System.out.println(postalcodeService.findAddressByZipCode("111"));
	}
	public void postalInfoDelAllTx(){
	    System.out.println(postalcodeService.postalInfoDelAll());
	}


	/**
	 * @throws java.lang.Exception
	 */
	@BeforeClass
	public static void setUpBeforeClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@Before
	public void setUp() throws Exception {
        include("app.dicon");
	}

	/**
	 * @throws java.lang.Exception
	 */
	@After
	public void tearDown() throws Exception {
	}



}
